CVE-2018-17199

Impact:
Low
Public Date:
2019-01-22
CWE:
CWE-613
Bugzilla:
1668493: CVE-2018-17199 httpd: mod_session_cookie does not respect expiry time

The MITRE CVE dictionary describes this issue as:

In Apache HTTP Server 2.4 release 2.4.37 and prior, mod_session checks the session expiry time before decoding the session. This causes session expiry time to be ignored for mod_session_cookie sessions since the expiry time is loaded when the session is decoded.

Find out more about CVE-2018-17199 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

NOTE: The following CVSS v3 metrics and score provided are preliminary and subject to review.

CVSS3 Base Score 4.3
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality None
Integrity Impact None
Availability Impact Low

Affected Packages State

Platform Package State
Red Hat Software Collections for Red Hat Enterprise Linux httpd24-httpd Affected
Red Hat JBoss Web Server 3 httpd Not affected
Red Hat JBoss EWS 2 httpd Not affected
Red Hat JBoss EAP 6 httpd Not affected
Red Hat JBoss EAP 5 httpd Not affected
Red Hat JBoss Core Services 1 httpd Affected
Red Hat Enterprise Linux 8 httpd:2.4/httpd Will not fix
Red Hat Enterprise Linux 7 httpd Affected
Red Hat Enterprise Linux 6 httpd Not affected
Red Hat Enterprise Linux 5 httpd Not affected
Last Modified

CVE description copyright © 2017, The MITRE Corporation